package com.lightinit.hsdataplatform.controller.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.service.admin.IOrderTradeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping("/admin/orderTrade")
public class OrderTradeController extends BaseController {
    @Autowired
    private IOrderTradeService iOrderTradeService;

    @RequestMapping("/index.htm")
    public ModelAndView index() {
        ModelAndView modelAndView = new ModelAndView("admin/orderTrade/index");
        return modelAndView;
    }
    @RequestMapping("/list.action")
    @ResponseBody
    public ResultState list(String year,String month,String day) {
        ResultState resultState =  iOrderTradeService.queryList(year,month,day);
        return  resultState;
    }
}
